package com.nisum.demo.mongo;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.mongodb.repository.config.EnableMongoRepositories;

@SpringBootApplication
@ComponentScan( {"com.nisum.demo.mongo"})
@EnableMongoRepositories(basePackages = "com.nisum.demo.mongo.repository")
public class MongoDBDemoApplication {

    public static void main(String[] args) {
        SpringApplication.run(MongoDBDemoApplication.class, args);
    }
}
